reSIDfp::TwoPassSincResampler Class Referencefinal

`#include <TwoPassSincResampler.h>`

Inheritance diagram for reSIDfp::TwoPassSincResampler:

## Public Member Functions

bool | input (int sample) override
int | output () const override
void | reset () override
Public Member Functions inherited from reSIDfp::Resampler
short | getOutput (int scaleFactor) const

## Static Public Member Functions

static TwoPassSincResampler * | create (double clockFrequency, double samplingFrequency)

## Additional Inherited Members

Static Protected Member Functions inherited from reSIDfp::Resampler
static short | softClip (int x)

## Detailed Description

Compose a more efficient SINC from chaining two other SINCs.

## Member Function Documentation

## input()

bool reSIDfp::TwoPassSincResampler::input | ( | int | sample | ) |

inline override virtual

Input a sample into resampler. Output "true" when resampler is ready with new sample.

Parameters

  sample | input sample

Returns
  true when a sample is ready

Implements reSIDfp::Resampler.

## output()

int reSIDfp::TwoPassSincResampler::output | ( |  | ) | const

inline override virtual

Implements reSIDfp::Resampler.

## reset()

void reSIDfp::TwoPassSincResampler::reset | ( |  | ) |

inline override virtual

Implements reSIDfp::Resampler.

The documentation for this class was generated from the following file:

- TwoPassSincResampler.h